Method: spaces.connectActiveConference

Broker a WebRTC connection to the active conference of a space.

On success, clients must use the resulting SDP (Session Description Protocol) answer to establish a WebRTC connection. Once connected, additional functionality is available across WebRTC data channels.

See Meet Media API overview for more details about this connection.

HTTP request

POST https://meet.googleapis.com/v2beta/{name=spaces/*}:connectActiveConference

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. Resource name of the space. Format: spaces/{spaceId}

Request body

The request body contains data with the following structure:

JSON representation
{
  "offer": string,
  "config": {
    object (ConnectionConfig)
  }
}
Fields
offer

string

Required. WebRTC SDP (Session Description Protocol) offer from the client.

The format is defined by RFC 8866 with mandatory keys defined by RFC 8829. This is the standard SDP format generated by a peer connection's createOffer() and createAnswer() methods.

config

object (ConnectionConfig)

Optional. Additional configuration options for a Media API session. If unset, default values will be provided for the session.

Response body

Response of spaces.connectActiveConference method.

A success response does not indicate the meeting is fully joined; further communication must occur across WebRTC.

See Meet Media API overview for more details about this connection.

If successful, the response body contains data with the following structure:

JSON representation
{
  "answer": string,
  "traceId": string
}
Fields
answer

string

WebRTC SDP answer to the offer.

traceId

string

Trace ID for debugging purposes. Please include this value when filing bugs.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/meetings.conference.media.readonly
  • https://www.googleapis.com/auth/meetings.conference.media.audio.readonly
  • https://www.googleapis.com/auth/meetings.conference.media.video.readonly

For more information, see the Authorization guide.

ConnectionConfig

Additional configuration options for Media API sessions.

JSON representation
{
  "confirmationTimeout": string
}
Fields
confirmationTimeout

string (Duration format)

Optional. The amount of time to wait before a confirmation action is cancelled. If unset, a default value will be used. The duration cannot exceed 5 minutes. Larger timeouts and negative durations will result in RPC failure.